<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unionwiced__bt__avdt__report__data__t" kind="union" language="C++" prot="public">
    <compoundname>wiced_bt_avdt_report_data_t</compoundname>
    <includes local="no">wiced_bt_avdt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unionwiced__bt__avdt__report__data__t_1a0047e73b505a0ce928660ffb9ef9f6f9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avdt__sender__info__t">wiced_bt_avdt_sender_info_t</ref></type>
        <definition>wiced_bt_avdt_sender_info_t wiced_bt_avdt_report_data_t::sr</definition>
        <argsstring />
        <name>sr</name>
        <briefdescription>
<para>sender information </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="349" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="349" />
      </memberdef>
      <memberdef id="unionwiced__bt__avdt__report__data__t_1a9ed0199da46c650a935d75ec9e2b2078" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avdt__report__blk__t">wiced_bt_avdt_report_blk_t</ref></type>
        <definition>wiced_bt_avdt_report_blk_t wiced_bt_avdt_report_data_t::rr</definition>
        <argsstring />
        <name>rr</name>
        <briefdescription>
<para>report data </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="350" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="350" />
      </memberdef>
      <memberdef id="unionwiced__bt__avdt__report__data__t_1a1b8ba32886f738d177fa37c9b10dedd2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_report_data_t::cname[AVDT_MAX_CNAME_SIZE+1]</definition>
        <argsstring>[AVDT_MAX_CNAME_SIZE+1]</argsstring>
        <name>cname</name>
        <briefdescription>
<para>command name </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="351" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="351" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AVDT report. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="58">
        <label>wiced_bt_avdt_sender_info_t</label>
        <link refid="structwiced__bt__avdt__sender__info__t" />
      </node>
      <node id="59">
        <label>wiced_bt_avdt_report_blk_t</label>
        <link refid="structwiced__bt__avdt__report__blk__t" />
      </node>
      <node id="57">
        <label>wiced_bt_avdt_report_data_t</label>
        <link refid="unionwiced__bt__avdt__report__data__t" />
        <childnode refid="58" relation="usage">
          <edgelabel>sr</edgelabel>
        </childnode>
        <childnode refid="59" relation="usage">
          <edgelabel>rr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="352" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="347" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="348" />
    <listofallmembers>
      <member prot="public" refid="unionwiced__bt__avdt__report__data__t_1a1b8ba32886f738d177fa37c9b10dedd2" virt="non-virtual"><scope>wiced_bt_avdt_report_data_t</scope><name>cname</name></member>
      <member prot="public" refid="unionwiced__bt__avdt__report__data__t_1a9ed0199da46c650a935d75ec9e2b2078" virt="non-virtual"><scope>wiced_bt_avdt_report_data_t</scope><name>rr</name></member>
      <member prot="public" refid="unionwiced__bt__avdt__report__data__t_1a0047e73b505a0ce928660ffb9ef9f6f9" virt="non-virtual"><scope>wiced_bt_avdt_report_data_t</scope><name>sr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>